package com.ruoyi.kaohe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 生成汇总对象 kh_gather
 *
 * @author hs
 * @date 2025-07-10
 */
public class KhGather extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 一级标题
     */
    @Excel(name = "一级标题")
    private String hzName;

    /**
     * 表头
     */
    @Excel(name = "表头")
    private String tableHeader;

    /**
     * 表数据
     */
    @Excel(name = "表数据")
    private String tableData;
    /**
     * 标题json
     */
    @Excel(name = "标题json")
    private String titleStr;

    public String getTitleStr() {
        return titleStr;
    }

    public void setTitleStr(String titleStr) {
        this.titleStr = titleStr;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setHzName(String hzName) {
        this.hzName = hzName;
    }

    public String getHzName() {
        return hzName;
    }

    public void setTableHeader(String tableHeader) {
        this.tableHeader = tableHeader;
    }

    public String getTableHeader() {
        return tableHeader;
    }

    public void setTableData(String tableData) {
        this.tableData = tableData;
    }

    public String getTableData() {
        return tableData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("hzName", getHzName())
                .append("tableHeader", getTableHeader())
                .append("tableData", getTableData())
                .append("titleStr", getTitleStr())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
